# IRremoteESP8266: src/ir_Whirlpool.cpp File Reference

ir_Whirlpool.cpp File Reference

Support for Whirlpool protocols. Decoding help from: @redmusicxd, @josh929800, @raducostea. More...

## Variables

const uint16_t | kWhirlpoolAcHdrMark = 8950
const uint16_t | kWhirlpoolAcHdrSpace = 4484
const uint16_t | kWhirlpoolAcBitMark = 597
const uint16_t | kWhirlpoolAcOneSpace = 1649
const uint16_t | kWhirlpoolAcZeroSpace = 533
const uint16_t | kWhirlpoolAcGap = 7920
const uint32_t | kWhirlpoolAcMinGap = kDefaultMessageGap
const uint8_t | kWhirlpoolAcSections = 3

## Detailed Description

Support for Whirlpool protocols. Decoding help from: @redmusicxd, @josh929800, @raducostea.

See also
  https://github.com/crankyoldgit/IRremoteESP8266/issues/509

Note
  Smart, iFeel, AroundU, PowerSave, & Silent modes are unsupported. Advanced 6thSense, Dehumidify, & Sleep modes are not supported.
  Dim == !Light, Jet == Super == Turbo

## Variable Documentation

## kWhirlpoolAcBitMark

const uint16_t kWhirlpoolAcBitMark = 597

## kWhirlpoolAcGap

const uint16_t kWhirlpoolAcGap = 7920

## kWhirlpoolAcHdrMark

const uint16_t kWhirlpoolAcHdrMark = 8950

## kWhirlpoolAcHdrSpace

const uint16_t kWhirlpoolAcHdrSpace = 4484

## kWhirlpoolAcMinGap

const uint32_t kWhirlpoolAcMinGap = kDefaultMessageGap

## kWhirlpoolAcOneSpace

const uint16_t kWhirlpoolAcOneSpace = 1649

## kWhirlpoolAcSections

const uint8_t kWhirlpoolAcSections = 3

## kWhirlpoolAcZeroSpace

const uint16_t kWhirlpoolAcZeroSpace = 533